## org.apache.batik.swing.gvt
Class JGVTComponent.ExtendedListener

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
          org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener

All Implemented Interfaces:
  java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, GVTTreeRendererListener

Direct Known Subclasses:
  AbstractJSVGComponent.SVGListener

Enclosing class:
  JGVTComponent

    protected class JGVTComponent.ExtendedListener

extends AbstractJGVTComponent.Listener
implements java.awt.event.MouseWheelListener

To hide the listener methods.

Constructor Summary
`protected` `JGVTComponent.ExtendedListener()`

Method Summary
`protected void` `dispatchMouseWheelMoved(java.awt.event.MouseWheelEvent e)` Dispatches the mouse event to the GVT tree.
`void` `mouseWheelMoved(java.awt.event.MouseWheelEvent e)` Invoked when the mouse wheel has been scrolled.

Methods inherited from class org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener

`deselectInteractor, dispatchKeyPressed, dispatchKeyReleased, dispatchKeyTyped, dispatchMouseClicked, dispatchMouseDragged, dispatchMouseEntered, dispatchMouseExited, dispatchMouseMoved, dispatchMousePressed, dispatchMouseReleased, gvtRenderingCancelled, gvtRenderingCompleted, gvtRenderingFailed, gvtRenderingPrepare, gvtRenderingStarted, handleMouseClicked, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, selectInteractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JGVTComponent.ExtendedListener

    protected JGVTComponent.ExtendedListener()

Method Detail

### mouseWheelMoved

    public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

  Invoked when the mouse wheel has been scrolled.

  Specified by:
    `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`

### dispatchMouseWheelMoved

    protected void dispatchMouseWheelMoved(java.awt.event.MouseWheelEvent e)

  Dispatches the mouse event to the GVT tree.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.